### Method

# AppStream Reference set_value

#### Declaration [src]

    void
    as_reference_set_value (
      AsReference* reference,
      const gchar* value
    )

#### Description [src]

Sets a value for this reference.

#### Parameters

`value`

  Type: `const gchar*`

  A value for this reference, e.g. “10.1000/182”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.